.header {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

// .container > * {
//   //width: 100%;
//   //padding: 0 16px;
// }

.title-federation {
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 700;
  padding-left: 20px;
  padding-top: 20px;
  font-size: 24px;
  line-height: 125%;
  text-align: center;
  color: #000000;
}

.container {
  //height: 100%;
  width: 89%;
  padding: 21px;
}

.federation-content {
  display: flex;
  justify-content: space-between;
  >.federation-wrapper {
    display: flex;
    > p {
    font-family: 'Titillium Web', serif;
    font-style: normal;
    font-weight: 600;
    font-size: 18px;
    line-height: 125%;
    text-align: center;
    color: #000000;
    }

    >img {
        margin-bottom: 14px;
        margin-right: 14px;
    }
  }


}

.publish-button {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  gap: 8px;
  width: 184px;
  height: 42px;
  background: #000f8e;
  border-radius: 3px;
  font-family: "Titillium Web", serif;
  font-style: normal;
  font-weight: 600;
  font-size: 16px;
  line-height: 125%;
  text-align: center;
  color: #ffffff;
  -webkit-box-shadow: 5px 5px 0 0 #A931F6;
  box-shadow: 5px 5px 0 0 #A931F6;
  margin: auto;
}

::ng-deep {
    .dlg-content.mat-dialog-content {
        // overflow: hidden;
        // padding: 27px 46px;
        // height: 20vh !important;
        // width: 50vh !important;
        height: calc(100% - 20vh) !important;
        overflow-x: hidden !important;
    }
  }

::ng-deep .mat-slide-toggle-thumb {
    width: 14px !important;
    height: 14px !important;
    background-color: #706f6f;
    transform: translate(50%, 50%);
  }

  ::ng-deep .mat-slide-toggle-bar {
    border: 1px solid #000f8e;
    background-color: #f7f7f7;
    border-radius: 15px !important;
    height: 18px !important;
    width: 35.18px !important;
  }

  ::ng-deep .mat-slide-toggle-thumb-container {
    top: -5px !important;
    left: -4px !important;
  }

  ::ng-deep .mat-slide-toggle.mat-checked:not(.mat-disabled) .mat-slide-toggle-bar {
    background-color: #000f8e;
  }

  ::ng-deep .mat-slide-toggle.mat-checked.mat-disabled .mat-slide-toggle-bar {
    background-color: #003DA5;
  }

  ::ng-deep .mat-slide-toggle.mat-checked.mat-disabled .mat-slide-toggle-thumb {
    background-color: white;
  }

  ::ng-deep.mat-slide-toggle.mat-checked:not(.mat-disabled){
    .mat-slide-toggle-thumb {
    background-color: #fff;
    }
  }
